%define version 1.2
%define release %mkrel 8
%define fname id3-py
%define oname ID3

Name: python-%oname
Version: %{version}
Release: %{release}
Source0: http://id3-py.sourceforge.net/%{fname}_%{version}.tar.bz2
Summary: Python module for manipulating ID3 information tags on MP3 audio files
License: GPL
Group: Development/Python
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Url: http://id3-py.sourceforge.net
Requires: python
BuildRequires: libpython-devel >= %{pyver}
BuildArch: noarch

%description
This is a simple Python module for retrieving and setting so-called ID3
tags on MP3 compressed audio files through an object-oriented interface.
MP3 players generally use this simple information for display track title,
artist name, and album title while playing the sound file.

%prep
%setup -q -n %fname-%version

%build
#python -c "import ID3"
python setup.py build
%install
rm -rf %buildroot
python setup.py install --root %buildroot

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES COPYING README id3-tagger.py
%{_libdir}/python%{pyver}/site-packages/ID3.py
%{_libdir}/python%{pyver}/site-packages/ID3.pyc

%changelog
* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.0
- Rebuild

* Wed Dec 07 2005 Götz Waschk <waschk@mandriva.org> 1.2-7mdk
- Rebuild
- use mkrel

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.2-6mdk
- Rebuild for new python

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2-5mdk
- add source URL

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.2-4mdk
- rebuild for new python

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.2-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2-2mdk
- rebuild

* Sat Apr 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.2-1mdk
- 1.2
- use setup.py

* Sun Jan  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- python 2.2
- updated BuildRequires

* Sun Nov 25 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- adapt for Mandrake

* Thu Nov 08 2001 Jeff Abbott <jabbott@redhat.com>
- Initial RPM build for both Python 1.5 and Python 2.1
